
namespace Hardcodet.Commons.Globalization
{
  /// <summary>
  /// Defines the targeted culture for localization-sensitive
  /// operations.
  /// </summary>
  public enum TargetLocale
  {
    /// <summary>
    /// Locale-independent processing using the invariant
    /// culture.
    /// </summary>
    Invariant = 0,
    /// <summary>
    /// Target the culture of the current thread.
    /// </summary>
    Thread = 1,
    /// <summary>
    /// Target the culture of the UI thread.
    /// </summary>
    UI = 2
  }
}